package com.sunxung.factoring.entity.financing.review;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * <p>
 * 相关还款责任人:不动产(房产)
 * </p>
 *
 * @author liutao
 * @since 2023-06-27
 */
@TableName("review_rlt_repay_estate")
public class ReviewRltRepayEstate extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 相关还款责任人的ID
     */
    @TableField("review_rlt_repay_id")
    private Long reviewRltRepayId;

    /**
     * 房产地址及门号
     */
    @TableField("house_address_door_number")
    private String houseAddressDoorNumber;

    /**
     * 购买合同
     */
    @TableField("purchase_contract")
    private String purchaseContract;

    /**
     * 房产证号
     */
    @TableField("house_property_no")
    private String housePropertyNo;

    /**
     * 是否有贷款 0否，1有
     */
    @TableField("is_loan")
    private Integer loan;

    /**
     * 贷款余额
     */
    @TableField("loan_balance")
    private BigDecimal loanBalance;

    /**
     * 是否出租，0否，1是
     */
    @TableField("is_rent")
    private Integer rent;

    public Long getReviewRltRepayId() {
        return reviewRltRepayId;
    }

    public void setReviewRltRepayId(Long reviewRltRepayId) {
        this.reviewRltRepayId = reviewRltRepayId;
    }
    public String getHouseAddressDoorNumber() {
        return houseAddressDoorNumber;
    }

    public void setHouseAddressDoorNumber(String houseAddressDoorNumber) {
        this.houseAddressDoorNumber = houseAddressDoorNumber;
    }
    public String getPurchaseContract() {
        return purchaseContract;
    }

    public void setPurchaseContract(String purchaseContract) {
        this.purchaseContract = purchaseContract;
    }
    public String getHousePropertyNo() {
        return housePropertyNo;
    }

    public void setHousePropertyNo(String housePropertyNo) {
        this.housePropertyNo = housePropertyNo;
    }

    public BigDecimal getLoanBalance() {
        return loanBalance;
    }

    public void setLoanBalance(BigDecimal loanBalance) {
        this.loanBalance = loanBalance;
    }

    public Integer getLoan() {
        return loan;
    }

    public void setLoan(Integer loan) {
        this.loan = loan;
    }

    public Integer getRent() {
        return rent;
    }

    public void setRent(Integer rent) {
        this.rent = rent;
    }
}
